<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.example.assignment">

    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" /> <!-- Internet Permissions -->
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" /> <!-- Permission to write to external storage -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme.NoActionBar">
        <activity
            android:name=".ui.activities.dashbaord.DashboardDetailActivity"
            android:label="@string/title_activity_dash_board_detail"
            android:theme="@style/AppTheme.NoActionBar.NoActionBar"></activity>
        <activity
            android:name=".ui.activities.SplashActivity"
            android:configChanges="orientation|keyboardHidden|screenSize|layoutDirection"
            android:resizeableActivity="false"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar"
            tools:ignore="LockedOrientationActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".ui.activities.dashbaord.DashbaordActivity"
            android:configChanges="orientation|keyboardHidden|screenSize|layoutDirection"
            android:resizeableActivity="false"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity"></activity>
    </application>

</manifest>